Package org.eclipse.debug.core.commands

## Interface IEnabledStateRequest

All Superinterfaces:
  `IDebugCommandRequest`, `IRequest`

    public interface IEnabledStateRequest
    extends IDebugCommandRequest

A request to update the enabled state of a command. A enabled state request is passed to a `IDebugCommandHandler` to update the enabled state of the handler.

Clients than invoke command handlers may implement this interface.

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setEnabled​(boolean result)` Sets the enabled state of a command handler.

### Methods inherited from interface org.eclipse.debug.core.commands.IDebugCommandRequest

`getElements`

### Methods inherited from interface org.eclipse.debug.core.IRequest

`cancel, done, getStatus, isCanceled, setStatus`

### Method Detail

#### setEnabled

    void setEnabled​(boolean result)

Sets the enabled state of a command handler.

Parameters:
  `result` - whether enabled